Bug 238509

Summary: editors/linux-sublime Sublime%20Text%202.0.2.tar.bz2 not found
Product: Ports & Packages Reporter: Graham Perrin <grahamperrin>
Component: Individual Port(s)Assignee: Koichiro Iwao <meta>
Status: Closed FIXED    
Severity: Affects Only Me CC: meta
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   

Description Graham Perrin 2019-06-11 22:02:35 UTC
Tail of log: 

----

=======================<phase: fetch          >============================
===>   NOTICE:

The sublime port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. To volunteer to maintain this port, please create an issue at:

https://bugs.freebsd.org/bugzilla

More information about port maintainership is available at:

https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port

=> Sublime%20Text%202.0.2.tar.bz2 doesn't seem to exist in /portdistfiles/.
=> Attempting to fetch http://c758482.r82.cf2.rackcdn.com/Sublime%20Text%202.0.2.tar.bz2
fetch: http://c758482.r82.cf2.rackcdn.com/Sublime%20Text%202.0.2.tar.bz2: Not Found
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/Sublime%20Text%202.0.2.tar.bz2
fetch: http://distcache.FreeBSD.org/ports-distfiles/Sublime%20Text%202.0.2.tar.bz2: Not Found
=> Couldn't fetch it - please try to retrieve this
=> port manually into /portdistfiles/ and try again.
*** Error code 1

Stop.
make: stopped in /usr/ports/editors/linux-sublime
=>> Cleaning up wrkdir
===>  Cleaning for linux-sublime-2.0.2_6
build of editors/linux-sublime | linux-sublime-2.0.2_6 ended at Tue Jun 11 22:58:34 BST 2019
build time: 00:00:01
!!! build failure encountered !!!
Comment 1 Koichiro Iwao freebsd_committer 2019-06-12 06:43:31 UTC
Confirmed.
Comment 2 Koichiro Iwao freebsd_committer 2019-06-13 11:07:25 UTC
The tarball can be found here now: https://download.sublimetext.com/Sublime%20Text%202.0.2.tar.bz2

sublimetext.com seems official: https://www.sublimetext.com/2
Comment 3 commit-hook freebsd_committer 2019-06-14 00:08:53 UTC
A commit references this bug:

Author: meta
Date: Fri Jun 14 00:08:26 UTC 2019
New revision: 504149
URL: https://svnweb.freebsd.org/changeset/ports/504149

Log:
  editors/linux-sublime: Update MASTER_SITE

  as the former site is no longer available. Now distfile is fetched from the
  official site.

  PR:		238509
  Reported by:	Graham Perrin <grahamperrin@gmail.com>

Changes:
  head/editors/linux-sublime/Makefile
Comment 4 Koichiro Iwao freebsd_committer 2019-06-14 00:23:44 UTC
Fixed, thanks for reporting!